Package org.jbpm.process.audit.command

## Class FindNodeInstancesCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<NodeInstanceLog>>
  - - org.jbpm.process.audit.command.FindNodeInstancesCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<NodeInstanceLog>>`, `org.kie.api.command.ExecutableCommand<List<NodeInstanceLog>>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class FindNodeInstancesCommand
      extends AuditCommand<List<NodeInstanceLog>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindNodeInstancesCommand()` |
    `FindNodeInstancesCommand​(long processInstanceId)` |
    `FindNodeInstancesCommand​(long processInstanceId, String nodeId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<NodeInstanceLog>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `String` | `getNodeId()` |
    `Long` | `getProcessInstanceId()` |
    `void` | `setNodeId​(String nodeId)` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FindNodeInstancesCommand

          public FindNodeInstancesCommand()

    - #### FindNodeInstancesCommand

          public FindNodeInstancesCommand​(long processInstanceId)

    - #### FindNodeInstancesCommand

          public FindNodeInstancesCommand​(long processInstanceId,
                                          String nodeId)

  - ### Method Detail

    - #### execute

          public List<NodeInstanceLog> execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<NodeInstanceLog>>`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getNodeId

          public String getNodeId()

    - #### setNodeId

          public void setNodeId​(String nodeId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`